
<%
'  Constants 
   dim Bar11
   dim CodaBar
   dim BarMSI
   dim Bar39
   dim ExtBar39
   dim Bar93
   dim Bar128
   dim BarEAN128
   dim BarUPCA
   dim BarUPCE
   dim BarEAN13
   dim BarEAN8
   dim BarJAN13
   dim BarJAN8
   dim BarHIBCLic39
   dim BarHIBCLic128
   dim BarHIBCEAN128
   dim BarHIBCIn25
   dim Bar25
   dim BarPDF417
   dim BarDataMatrix
   dim BarMaxiCode
   dim BarQRCode
   dim BarAztecMesas
   dim BarMicroPDF417

   Bar11=0
   CodaBar=1
   BarMSI=2
   Bar39=3
   ExtBar39=4
   Bar93=5
   Bar128=6
   BarEAN128=7
   BarUPCA=8
   BarUPCE=9
   BarEAN13=10
   BarEAN8=11
   BarJAN13=12
   BarJAN8=13
   BarHIBCLic39=14
   BarHIBCLic128=15
   BarHIBCEAN128=16
   BarHIBCIn25=17
   BarHIBCIn25=18
   BarPDF417 = 22
   BarMaxiCode = 23
   BarDataMatrix = 24
   BarQRCode = 25
   BarAztecMesas = 26
   BarMicroPDF417 = 27

   Function GetColor(sColor)
    dim icolor
    if(sColor="Black") then
		icolor=0
	elseif (sColor="White") then
		icolor=255+255*256+255*256*256 '&HFFFFFF
	elseif (sColor="Blue") then
	    icolor=255*256*256   '&HFF0000
	elseif (sColor="Green") then
	    icolor=255*256 '&H00FF00
	elseif (sColor="Red") then
	    icolor=255 '&HFF
	else
	    icolor=&HFF
	end if
	GetColor=icolor
   End Function


 ' Clear out the existing HTTP header information
   Response.Expires = 0
   Response.Buffer = TRUE
   Response.Clear


   ' Change the HTTP header to reflect that an image is being passed.
   Response.ContentType = "image/png"

   Set barcode = Server.CreateObject("ASPXBarCode.ASPBarCode.1")

   dim isym
   isym = CInt(Request.QueryString("Symbo"))
  
   barcode.barSymbology= isym

   barcode.barMessage=Request.QueryString("Msg")

   barcode.barHeight=CInt(Request.QueryString("HI"))
   barcode.barNarrowWidth=CInt(Request.QueryString("NW"))
   barcode.BackColor=GetColor(Request.QueryString("BGC"))
   barcode.barColor=GetColor(Request.QueryString("BAC"))
   barcode.barQuietZone=CInt(Request.QueryString("QZ"))
   barcode.barRatio=CInt(Request.QueryString("RA"))


   barcode.barSupplement=Request.QueryString("SUP")
   barcode.barCDEnable=CBool(Request.QueryString("CE")="on")
   barcode.barBearerMode=CBool(Request.QueryString("BM")="on")
   barcode.barBorder=CLng(Request.QueryString("BT"))

   Set fn=barcode.barMessageFont
   fn.Name=Request.QueryString("MFN")
   fn.Size=CInt(Request.QueryString("MFS"))
   fn.Italic=CBool(Request.QueryString("MFI")="on")
   fn.Bold= CBool(Request.QueryString("MFB")="on")  
   barcode.barMessageFont=fn   
   set fn=nothing

   Set fn=barcode.barTopFont
   fn.Name=Request.QueryString("TFN")
   fn.Size=CInt(Request.QueryString("TFS"))
   fn.Italic=CBool(Request.QueryString("TFI")="on")
   fn.Bold= CBool(Request.QueryString("TFB")="on")  
   barcode.barTopFont=fn   
   set fn=nothing

	Set fn=barcode.barBottomFont
   fn.Name=Request.QueryString("BFN")
   fn.Size=CInt(Request.QueryString("BFS"))
   fn.Italic=CBool(Request.QueryString("BFI")="on")
   fn.Bold= CBool(Request.QueryString("BFB")="on")  
   barcode.barBottomFont=fn   
   set fn=nothing

   barcode.barTopComment=Request.QueryString("TC") 
   barcode.barBottomComment=Request.QueryString("BC")  
   barcode.barOrientation=CInt(Request.QueryString("OR"))
   
   ' handle 2D

   if(isym = BarPDF417) then
		barcode.barPDF417NoOfColumns= CInt(Request.QueryString("PDFCN"))
		barcode.barPDF417SecurityLevel = CInt(Request.QueryString("PDFEL"))
   elseif(isym = BarMicroPDF417) then
		barcode.barMicroPDF417Format = CInt(Request.QueryString("MPDFF"))
   elseif(isym = BarMaxiCode) then
  		barcode.barMaxiCodeClassCode=Request.QueryString("MXCC")
		barcode.barMaxiCodeCountryCode  =Request.QueryString("MXCOC")
		barcode.barMaxiCodePostCode=Request.QueryString("MXPC")
		barcode.barMaxiCodeMode = CInt(Request.QueryString("MXM"))
   elseif(isym = BarDataMatrix) then
		barcode.barDataMatrixFNC1=CBool(Request.QueryString("DMXF")="on")
		barcode.barDataMatrixStartChar = CInt(Request.QueryString("DMXSC"))
		barcode.barDataMatrixFormat=CInt(Request.QueryString("DMXFM"))
		barcode.barDataMatrixEncodeMode = CInt(Request.QueryString("DMXEM"))
   elseif( isym = BarAztecMesas) then
		barcode.barAztecMesasSingleSide=CBool(Request.QueryString("AZSS")="on")
		barcode.barAztecMesasHostMessage = Request.QueryString("AZHMSG")
		barcode.barAztecMesasHostSymbology=CInt(Request.QueryString("AZHSYM"))
		barcode.barAztecMesasErrorLevel = CInt(Request.QueryString("AZEL"))
   elseif(isym = BarQRCode) then
	   	barcode.barQRVersionNumber = CInt(Request.QueryString("QRVER"))
		barcode.barQRFNC1 = CInt(Request.QueryString("QRFNC"))
		barcode.barQRErrorCorrectionLevel= CInt(Request.QueryString("QREL"))
 
   end if


   dim bi
   bi=barcode.ReadBinary()
   Response.BinaryWrite(bi)
   set barcode=Nothing
   Response.End
   
%>

